

<form [formGroup]="productoFormulario" fxLayout="row" fxLayoutAlign="center center" >

    <label for="name">Nombre:</label>
    <input type="text" id="name" placeholder="Escribe el nombre del producto" formControlName="name">

    <label for="weight">peso:</label>
    <input type="number" id="weight" placeholder="Escribe el peso" formControlName="weight">

    <label for="precio">Precio:</label>
    <input type="number" id="precio" placeholder="Escribe el precio" formControlName="precio">

    <label for="status">Status:</label >
    <input name="status" type="radio" value="true" formControlName="status"/> Activo
    <input name="status" type="radio" value="false" formControlName="status"/> Inactivo

    <label for="typeProduct">TypeProduct:</label>
    <input type="number" id="typeProduct" placeholder="Escribe el tipo" formControlName="typeProduct">

    <label for="Imagen">Imagen:</label >
      <input name="Imagen" type="file" formControlName="Imagen" (change)="saveFile($event)"/>


    <!-- <input type="submit" value="Guardar"> -->

    <div fxLayout="row"fxLayoutAlign="center center"mat-button >
      <button mat-raised-button color="primary" class="nuevo" type="button" (click)="onGuardar()"> Guardar</button>
    </div>

</form>
